

function S = SingleL_Helm2(k,Omega, D) 

M_Omega=size(Omega,2);
M = D.nbPoints;
S = zeros(M_Omega, M);


green = @(k,x,y) -1i/4*besselh(0,1,k*sqrt(x.^2+y.^2));


    
  
    
for j = 1:M_Omega        
    S(j,:) = green(k,Omega(1,j)-D.points(1,:),Omega(2,j)-D.points(2,:)).*D.sigma(1:M);
end
   

